HP Views Designer Assistant: BeforeStart Class Reference

| HP Views Designer Assistant 1.0.0 TFG - Alberto Gutierrez Perez - Universidad de Valladolid |

Signals | Public Member Functions | Private Slots | Private Member Functions | Private Attributes | List of all members
BeforeStart Class Reference

The BeforeStart class. More...

`#include <beforestart.h>`

Inheritance diagram for BeforeStart:

## Signals

void | startMainWindow ()
| startMainWindow The signal is emitted when the user clicked start button.

## Public Member Functions

| BeforeStart (QWidget *mainWindow, QWidget *parent=0)
| BeforeStart constructor. More...
void | show (QSize size, QPoint pos)
| show Shows before start window. More...

## Private Slots

void | on_nextBtn_clicked ()
| on_nextBtn_clicked This slot is executed when the user clicked next button.
void | on_prevBtn_clicked ()
| on_prevBtn_clicked This slot is executed when the user clicked previous button.
void | on_firstPageRadio_clicked ()
| on_firstPageRadio_clicked This slot is executed when the user clicked first radio button.
void | on_secondPageRadio_clicked ()
| on_secondPageRadio_clicked This slot is executed when the user clicked second radio button.
void | on_thirdPageRadio_clicked ()
| on_thirdPageRadio_clicked This slot is executed when the user clicked third radio button.
void | on_startBtn_clicked ()
| on_startBtn_clicked This slot is executed when the user clicked start button.
void | on_fourthPageRadio_clicked ()
| on_fourthPageRadio_clicked This slot is executed when the user clicked fourth radio button.
void | on_initTipsCheck_clicked (bool checked)
| on_initTipsCheck_clicked This slot is executed when the user clicked dont show again check box. More...

## Private Member Functions

void | setNormalState ()
| setNormalState Restores the before start state to normal.
void | initElements ()
| initElements Initialices before start elements.
void | setInfo (QString imagePath, QString text, QString leftImage="", QString rightImage="")
| setInfo Sets the information into before start screen. More...
void | nextScreenInfo (int index)
| nextScreenInfo Changes the information to show. More...

## Private Attributes

Ui::BeforeStart * | ui
| ui
QWidget * | mainwindow
| mainwindow

## Detailed Description

The BeforeStart class.

## Constructor & Destructor Documentation

## ◆ BeforeStart()

BeforeStart::BeforeStart | ( | QWidget * | mainWindow,
|  | QWidget * | parent = `0`
| ) |  |

explicit

BeforeStart constructor.

Parameters

  mainWindow | Main window.
  parent | Parent of before start view.

## Member Function Documentation

## ◆ nextScreenInfo()

void BeforeStart::nextScreenInfo | ( | int | index | ) |

private

nextScreenInfo Changes the information to show.

Parameters

  index | Before start page index.

## ◆ on_initTipsCheck_clicked

void BeforeStart::on_initTipsCheck_clicked | ( | bool | checked | ) |

privateslot

on_initTipsCheck_clicked This slot is executed when the user clicked dont show again check box.

Parameters

  checked |

## ◆ setInfo()

void BeforeStart::setInfo | ( | QString | imagePath,
|  | QString | text,
|  | QString | leftImage = `""`,
|  | QString | rightImage = `""`
| ) |  |

private

setInfo Sets the information into before start screen.

Parameters

  imagePath | Image path to show.
  text | Texto to show.
  leftImage | Left image to show.
  rightImage | Right image to show.

## ◆ show()

void BeforeStart::show | ( | QSize | size,
|  | QPoint | pos
| ) |  |

show Shows before start window.

Parameters

  size | Size of the main window.
  pos | Position of the main window.

The documentation for this class was generated from the following files:

- D:/Documentos/ViewDesignerAssistant/View/beforestart.h
- D:/Documentos/ViewDesignerAssistant/View/beforestart.cpp